Bug 1266686 - OpenVPN created from command line is broken by NetworkManager [NEEDINFO]
OpenVPN created from command line is broken by NetworkManager
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
21
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 10:33 EDT by Robin Green
Modified: 2015-12-02 13:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:28:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jklimes: needinfo? (greenrd)


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2015-09-26 10:33:40 EDT
Description of problem:
When I set up an OpenVPN connection from the command line, NetworkManager spins trying to configure tun0, and then after about 30 seconds the VPN connection stops responding.

I'm guessing NetworkManager has not found a DHCP server on tun0 and has therefore decided to throw away its existing IP address and reassign it a link-local address. I know I can tell NetworkManager to stop trying to manage an interface, but I don't think I should have to do that - I think it should notice that an IP address has already been set and stop interfering with it.

How reproducible:
Always

Steps to Reproduce:
1. Set up simple point-to-point OpenVPN via CLI
2. Wait

Actual results:
VPN connection eventually goes down

Expected results:
VPN should stay up

Additional info:
wlan0 stays working
Comment 1 Robin Green 2015-09-26 10:34:30 EDT
This is on KDE by the way.
Comment 2 Jirka Klimes 2015-09-29 06:43:15 EDT
NetworkManager should not disrupt tun0 when you create it externally. It only creates a connection for the interface.

Could you test connecting to the VPN with NetworkManager stopped to see if it actually works?

# systemctl mask NetworkManager
# systemctl stop NetworkManager

connect to VPN

# systemctl unmask NetworkManager
# systemctl start NetworkManager

If it works without NetworkManager, then try again with NetworkManager and attach logs so that they can be inspected. (sudo journalctl -b 0 -u NetworkManager).
Comment 3 Fedora End Of Life 2015-11-04 05:22:50 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 10:29:02 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.